package access;

import java.util.Hashtable;

/**
 * Class to store the Program to Listener Mapping.<br>
 */
public class ProgramListenerMapTableDB implements DatabaseConstants
{
  /**
   * Constructor for the class.<br>
   */
  public ProgramListenerMapTableDB()
  {

  }

/**
 * Stores the map table in database.<br>
 * Colloborator : Database.java<br>
 * Returns : boolean value : <b>true</b> if stored successfully, <b>false</b>, otherwise.<br>
 *
 * @param htMapTable
 * @return boolean
 */
  public boolean storeMapTable(Hashtable htMapTable)
  {

      Database objDB = new Database();
      try
      {
         System.out.println("Storing Map Table : ProgramListenerMapTableDB");
         objDB.writeObject(LISTENER_PROGRAMS_MAP+LISTENER_PROGRAMS_MAP_FILE_EXTENSION, htMapTable);
      }
      catch(Exception e)
      {
        return false;
      }
      return true;
  }




    /**
     * Retrieves the Map Table from Database.<br>
     * Colloborator : Database.java<br>
     * Returns: null or Vector<br>
     * @return Hashtable
     * @see Hashtable
     */

  public Hashtable retrieveMapTable()
  {
   Database objDB = new Database();
      try
      {
        System.out.println("Retrieving Map Table : ProgramListenerMapTableDB");
        return ((Hashtable) objDB.readObject(LISTENER_PROGRAMS_MAP+LISTENER_PROGRAMS_MAP_FILE_EXTENSION));
      }
      catch(NullPointerException npe)
      {
        return null;
      }
  }
}