package business;
import query.Node;
import query.Constants;

public class FinalizeMethod
{
    public static void annotate(Node objRoot,String sIdentifier,String sLannotation,String sRannotation)
    {
        Node objClass = DecoratorHandler.getClassWithName(objRoot,sIdentifier);
        if(objClass != null)
        {
            Node objFinalizenode;
            TestConstructorPatch TCP = new TestConstructorPatch();
            objFinalizenode = TCP.retNodeContainingFinalize(objClass);

            if(objFinalizenode != null)
            {
                objFinalizenode.getChild(objFinalizenode.getNumChildren()-1).getFirst().setAnnotation(null,sRannotation);
            }
            else
            {
                Node objClassBody=objClass.find(Constants.CLASSBODY,true);
                Node objClassBodyLbrace = objClassBody.find(Constants.LBRACE);
                StringBuffer sbMethod = new StringBuffer("public void finalize() {");
                sbMethod.append(sRannotation);
                sbMethod.append("}");
                objClassBodyLbrace.setAnnotation(null,sbMethod.toString());
            }
        }
    }
}
