package rmi;


import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.Hashtable;
import java.util.Vector;

public interface ListenerInterface extends Remote
{
    public Hashtable registerProgram(String sProgramName, String sIPAddress, String sPort) throws RemoteException;
    public boolean unRegisterProgram(String sProgramName, String sIPAddress, String sPort) throws RemoteException;
    public boolean registerListener(String sIPAddress, String sPort) throws RemoteException;
    public boolean unRegisterListener(String sIPAddress, String sPort) throws RemoteException;
    public Vector loginListener(String sIPAddress, String sPort)throws RemoteException;
    public boolean logoutListener(String sIPAddress, String sPort) throws RemoteException;
}