package access;

import java.util.Hashtable;
import java.io.File;


public class EventSoundMappingDB implements DatabaseConstants
{
    public EventSoundMappingDB()
    {

    }

    public Hashtable getEventSoundHandlers(String sProgramName)
    {
        Database objDB = new Database();
        try
        {
            return((Hashtable)objDB.readObject(EVENT_SOUND_MAPPING_FILE_PATH + sProgramName + EVENT_SOUND_MAPPING_FILE_EXTENSION ));
        }
        catch(Exception e)
        {
            return null;
        }
    }

    public boolean storeEventSoundHandlers(Hashtable htEventSoundHandler, String sProgramName)
    {
        Database objDB = new Database();

        try
        {
            objDB.writeObject(EVENT_SOUND_MAPPING_FILE_PATH + sProgramName + EVENT_SOUND_MAPPING_FILE_EXTENSION , htEventSoundHandler);
            return true;
        }
        catch(Exception e)
        {
            return false;
        }
    }

    public boolean removeEventSoundHandler(String sProgramName)
    {
        File fEventSoundMappingPath = new File(EVENT_SOUND_MAPPING_FILE_PATH + sProgramName + EVENT_SOUND_MAPPING_FILE_EXTENSION);
        return fEventSoundMappingPath.delete();
    }
}