package business;

import java.util.Vector;
import java.io.Serializable;


public class ProgramListenerMapper implements Serializable
{
    private String sProgramName;
    private Vector vListeners;

    public ProgramListenerMapper()
    {
        vListeners = new Vector();
    }

     public String getProgramName()
    {
        return sProgramName;
    }

    public void setProgramName(String sProgramName)
    {
        this.sProgramName = sProgramName;
    }

    public void addListener(ListenerInfo objLI)
    {
        vListeners.add(objLI);
    }

    public void removeListener(ListenerInfo objLI)
    {
        vListeners.remove(objLI);
    }

    public Vector[] getListeners()
    {
        Vector vListenerInfo[] = new Vector[2];
        vListenerInfo[0] = new Vector();
        vListenerInfo[1] = new Vector();

        /*
        vListenerInfo[0] contains IPAddress
        vListenerInfo[1] contains PortNo
        */
         System.out.println("Number of Listeners for Program " +this.sProgramName+" : "+vListeners.size());
        if(vListeners.size() == 0)
            return null;

        for(int iLoop = 0; iLoop < vListeners.size(); iLoop++)
        {
            if(((ListenerInfo)vListeners.get(iLoop)).isAvailable() == true)
            {
                String sIPAddress=((ListenerInfo)vListeners.get(iLoop)).getIPAddress();
                String sPort=((ListenerInfo)vListeners.get(iLoop)).getPort();
                System.out.println("Listener IP:  "+sIPAddress+"--Port No: "+sPort);

                vListenerInfo[0].add(((ListenerInfo)vListeners.get(iLoop)).getIPAddress());
                vListenerInfo[1].add(((ListenerInfo)vListeners.get(iLoop)).getPort());
            }
        }
        return vListenerInfo;
    }

/*    public Vector[] getRegisteredListeners()
    {
        getListeners();
        if(vListeners.size() > 0)
        {
           Vector vListenerInfo[] = new Vector[3];
            vListenerInfo[0]=new Vector();
            vListenerInfo[1]=new Vector();
            vListenerInfo[2]=new Vector();

          for(int iLoop =0; iLoop < vListeners.size(); iLoop++)
          {
              vListenerInfo[0].add(((ListenerInfo)vListeners.get(iLoop)).getIPAddress());
              vListenerInfo[1].add(((ListenerInfo)vListeners.get(iLoop)).getPort());
              vListenerInfo[2].add(new Boolean(((ListenerInfo)vListeners.get(iLoop)).isAvailable()));
          }
        }
        System.out.println("ProgramListenerMapper - getRegisteredListeners returns null");
        return null;
    }*/
}