package business;
import query.Node;
import query.Constants;
import query.Parse;
import java.util.List;
import java.io.*;

public class CaseBodyPatch
{
    /*
     *  IMPLEMENTATION DEFERRED
     */
    public static void annotateBodyEnd(Node p, String sCaseLabel, String sPatch)
    {
        FindAll FA = new FindAll();
        List objListFor=FA.findAll(p,Constants.SWITCHSTATEMENT,true);
        for(int iCount=0;iCount<objListFor.size();iCount++)
        {
            Node for_node=(Node)objListFor.get(iCount);

            FindAll objFA = new FindAll();
            List objListCase=objFA.findAll(p,Constants.SWITCHLABEL,true);

            for(int iCaseCount=0;iCaseCount<objListCase.size();iCaseCount++)
            {
                Node case_node=(Node)objListCase.get(iCount);

                System.out.println("case "+ case_node.getChild(1).getFirst().getString());
                if(sCaseLabel.equalsIgnoreCase(case_node.getChild(1).getFirst().getString()))
                {

                }
            }
        }
    }

    public static void annotateBodyBegin(Node p, String sCaseLabel, String sPatch)
    {
        FindAll FA = new FindAll();
        List objListFor=FA.findAll(p,Constants.SWITCHSTATEMENT,true);
        for(int iCount=0;iCount<objListFor.size();iCount++)
        {
            Node for_node=(Node)objListFor.get(iCount);

            FindAll objFA = new FindAll();
            List objListCase=objFA.findAll(p,Constants.SWITCHLABEL,true);

            for(int iCaseCount=0;iCaseCount<objListCase.size();iCaseCount++)
            {
                Node case_node=(Node)objListCase.get(iCaseCount);

                System.out.println("case "+ case_node.getChild(1).getFirst().getString());
                if(sCaseLabel.equalsIgnoreCase(case_node.getChild(1).getFirst().getString()))
                {
                    System.out.println("case=="+ case_node.getChild(2).getFirst().getString());
                     case_node.getChild(2).getFirst().setAnnotation(null,sPatch);
                }
            }
        }
    }

    public static void main(String[] args)
    {
        Parse p = new Parse(args[0]);
        if(p.getError() != null)
            System.err.println("Error in Parsing");

        // Parse p = new Parse(args[0]);

        else {
            Node root = p.getRoot();
            annotateBodyBegin(root,"2","test;\ntest;\n");
            try {
                FileDescriptor o = FileDescriptor.out;
                Writer w = new FileWriter(o);
                w = new BufferedWriter(w);
                root.print(p.getCommentList(), w);
                w.close();
            }
            catch (IOException e) {
                System.err.println(e);
            }
        }
    }

}
