package business;
import query.Node;

import query.Parse;

import java.util.Vector;

import business.LSLTokens;
import business.SoundCallsLibrary;

//import jlisten.g1.auraliser.instrumentor.business.LSLTokens;
//import jlisten.g1.auraliser.instrumentor.business.SoundCallsLibrary;
//import jlisten.g1.auraliser.instrumentor.business.SoundCallsConstants;

public class Decorator
 {

    public Decorator()
    {

    }

    private int TokenPatchCode(LSLTokens objLslTokens)
    {
        String sKeyWord=objLslTokens.getKeyword();
        if(sKeyWord.equalsIgnoreCase("before_for_loop"))
            return 1;
        if(sKeyWord.equalsIgnoreCase("after_for_loop"))
            return 2;
        if(sKeyWord.equalsIgnoreCase("before_while_loop"))
            return 3;
        if(sKeyWord.equalsIgnoreCase("after_while_loop"))
            return 4;
        if(sKeyWord.equalsIgnoreCase("before_if_statement"))
            return 5;
        if(sKeyWord.equalsIgnoreCase("after_if_statement"))
            return 6;
        if(sKeyWord.equalsIgnoreCase("before_do_while_loop"))
            return 7;
        if(sKeyWord.equalsIgnoreCase("after_do_while_loop"))
            return 8;
        if(sKeyWord.equalsIgnoreCase("continue"))
            return 9;
        if(sKeyWord.equalsIgnoreCase("break"))
            return 10;
        if(sKeyWord.equalsIgnoreCase("method_call_begin"))
            return 11;
        if(sKeyWord.equalsIgnoreCase("method_call_end"))
            return 12;
        if(sKeyWord.equalsIgnoreCase("constructor"))
            return 13;
        if(sKeyWord.equalsIgnoreCase("dtrack"))
            return 14;
        /*if(sKeyWord.equalsIgnoreCase("atrack_method"))
            return 15;*/
        if(sKeyWord.equalsIgnoreCase("atrack_class"))
            return 16;
        if(sKeyWord.equalsIgnoreCase("finalize"))
            return 17;
        if(sKeyWord.equalsIgnoreCase("super"))
            return 18;
        if(sKeyWord.equalsIgnoreCase("finally"))
            return 19;
        if(sKeyWord.equalsIgnoreCase("synchronized_method_begin"))
            return 20;
        if(sKeyWord.equalsIgnoreCase("synchronized_method_end"))
            return 21;
        if(sKeyWord.equalsIgnoreCase("atrack_recursion_method") || sKeyWord.equalsIgnoreCase("atrack_method"))
            return 22;
        if(sKeyWord.equalsIgnoreCase("for_body_begin"))
            return 23;
        if(sKeyWord.equalsIgnoreCase("for_body_end"))
            return 24;
        if(sKeyWord.equalsIgnoreCase("while_body_begin"))
            return 25;
        if(sKeyWord.equalsIgnoreCase("while_body_end"))
            return 26;
        if(sKeyWord.equalsIgnoreCase("if_body_begin"))
            return 27;
        if(sKeyWord.equalsIgnoreCase("if_body_end"))
            return 28;
        if(sKeyWord.equalsIgnoreCase("do_while_body_begin"))
            return 29;
        if(sKeyWord.equalsIgnoreCase("do_while_body_end"))
            return 30;
         if(sKeyWord.equalsIgnoreCase("switch_case_begin"))
            return 31;
        if(sKeyWord.equalsIgnoreCase("method_body_begin")||sKeyWord.equalsIgnoreCase("recursion_method_body_begin"))
            return 32;
        if(sKeyWord.equalsIgnoreCase("method_body_end")||sKeyWord.equalsIgnoreCase("recursion_method_body_end") )
            return 33;
        if(sKeyWord.equalsIgnoreCase("atrack_for"))
            return 34;
        if(sKeyWord.equalsIgnoreCase("atrack_do_while") )
            return 35;
        if(sKeyWord.equalsIgnoreCase("atrack_while") )
            return 36;
        if(sKeyWord.equalsIgnoreCase("atrack_if"))
            return 37;
         if(sKeyWord.equalsIgnoreCase("method_return_value"))
            return 38;


        return -1;
    }


    public  Parse decorate(String sJavaFileName, String sJavaFilePath,Vector vLsLTokens)

    {
        SoundCallsLibrary objSoundCallsLibrary= new SoundCallsLibrary();
        Vector vpatches= objSoundCallsLibrary.getSoundCallPatches(sJavaFileName,vLsLTokens);
         System.out.println("File Path  "+sJavaFilePath);
        Parse objParse=new Parse(sJavaFilePath);


        Node objRoot=objParse.getRoot();
         if(objParse.getError() != null)
         {
             System.out.println("Error in Parsing");
             return null;
         }

        objRoot.getFirst().setAnnotation(objSoundCallsLibrary.getImportStatementPatches(sJavaFileName),null);
        System.out.println(objSoundCallsLibrary.getImportStatementPatches(sJavaFileName));
        TestConstructorPatch TCP = new TestConstructorPatch();

        if(TCP.patchEndMain(objRoot,objSoundCallsLibrary.getFinalizePatch(sJavaFileName ))==true)
        {
            TCP.patchConstructor(objRoot,objSoundCallsLibrary.getConstructorPatch(sJavaFileName));
        }

        for(int iCount=0;iCount<vLsLTokens.size();iCount++)
        {


            LSLTokens objLslTokens=(LSLTokens)vLsLTokens.get(iCount);
            Scope objScope = new Scope();
            Vector vScopeNodes;
            String sPatch;
            Vector vPatches =null;
            Vector vParams;
            switch(this.TokenPatchCode(objLslTokens))
            {
                case 1:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        TestForRec.annotate(objScopeNode,sPatch);
                    }
                    break;
                case 2:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        TestForRecAfter.annotate(objScopeNode,sPatch);
                    }
                    break;
                case 3:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        TestWhileRecBefore.annotate(objScopeNode,sPatch);
                    }
                    break;

                case 4:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        TestWhileRecAfter.annotate(objScopeNode,sPatch);
                    }
                    break;
                case 5:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        TestIFRecBefore.annotate(objScopeNode,sPatch);
                    }
                    break;
                case 6:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        TestIFRecAFter.annotate(objScopeNode,sPatch);
                    }
                    break;
                case 7:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        TestDORecBefore.annotate(objScopeNode,sPatch);
                    }
                    break;
                case 8:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        TestDORecAfter.annotate(objScopeNode,sPatch);
                    }
                    break;
                case 9:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                         Continue.annotate(objScopeNode,"{"+sPatch,"}");

                    }
                    break;
                case 10:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        Break.annotate(objScopeNode,"{"+sPatch,"}");
                    }
                    break;
                case 11:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        System.out.println("Insode For Loop");
                        TestForMethodCall.annotate(objScopeNode,objLslTokens.getIdentifier(),"{"+sPatch,"}",objLslTokens.getNoofParameters());
                    }
                    break;
                case 12:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        ForMethodCallAfter.annotate(objScopeNode,objLslTokens.getIdentifier(),"{",sPatch+"}",objLslTokens.getNoofParameters());
                    }
                    break;
                case 13:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        ConstructorBody.annotate(objScopeNode,objLslTokens.getIdentifier(),null,sPatch);
                    }
                    break;
                case 14:

                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {

                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        TestDtrack.annotate(objScopeNode,objLslTokens.getIdentifier(),"{",sPatch+"}");
                    }
                    break;
               /* case 15:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    vPatches = (Vector)vpatches.get(iCount);
                    String sBeginPatch = (String)vPatches.get(0);
                    String sEndPatch = (String)vPatches.get(1);

                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        Activity.annotate(objScopeNode,objLslTokens.getIdentifier(),sBeginPatch,sEndPatch,-1);
                    }
                    break;*/
                case 16:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    Vector vPatchesCls = (Vector)vpatches.get(iCount);
                    String sBeginPatchCls = (String)vPatchesCls.get(0);
                    String sEndPatchCls = (String)vPatchesCls.get(1);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        ConstructorBody.annotate(objScopeNode,objLslTokens.getIdentifier(),null,sBeginPatchCls);
                        FinalizeMethod.annotate(objScopeNode,objLslTokens.getIdentifier(),null,sEndPatchCls);

                    }
                    break;
                case 17:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        FinalizeMethod.annotate(objScopeNode,objLslTokens.getIdentifier(),null,sPatch);
                    }
                    break;
                 case 22:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    vPatches = (Vector)vpatches.get(iCount);
                    vParams=((LSLTokens)vLsLTokens.get(iCount)).getParameters();

                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                      //  System.out.println("==============+-+-+-+-=NOde type=="+objScopeNode.getType());
                        TestRecursion.annotate(objScopeNode,vPatches,objLslTokens.getIdentifier(),vParams);
                    }
                    break;
                    case 23:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        ForBodyPatch.annotateBodyBegin(objScopeNode,sPatch);
                    }
                    break;
                    case 24:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        ForBodyPatch.annotateBodyEnd(objScopeNode,sPatch);
                    }
                    break;
                    case 25:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        WhileBodyPatch.annotateBodyBegin(objScopeNode,sPatch);
                    }
                    break;

                    case 26:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        WhileBodyPatch.annotateBodyEnd(objScopeNode,sPatch);
                    }
                    break;

                    case 27:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        IfBodyPatch.annotateBodyBegin(objScopeNode,sPatch);
                    }
                    break;

                    case 28:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        IfBodyPatch.annotateBodyEnd(objScopeNode,sPatch);
                    }
                    break;

                    case 29:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        DoWhileBodyPatch.annotateBodyBegin(objScopeNode,sPatch);
                    }
                    break;

                    case 30:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        DoWhileBodyPatch.annotateBodyEnd(objScopeNode,sPatch);
                    }
                    break;

                    case 31:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    vParams=((LSLTokens)vLsLTokens.get(iCount)).getParameters();
                    //System.out.println("----------*********"+vScopeNodes.size() );
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                       // System.out.println("!$#@%##^%%^$%$&^%%&--------"+vParams.get(0).toString());
                        CaseBodyPatch.annotateBodyBegin(objScopeNode,vParams.get(0).toString(),sPatch);
                    }
                    break;
                    case 32:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    vParams=((LSLTokens)vLsLTokens.get(iCount)).getParameters();

                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        MethodBodyPatch.annotateBodyBegin(objScopeNode,sPatch,objLslTokens.getIdentifier(),vParams);
                    }
                    break;

                    case 33:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    sPatch=(String)vpatches.get(iCount);
                    vParams=((LSLTokens)vLsLTokens.get(iCount)).getParameters();

                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        MethodBodyPatch.annotateBodyEnd(objScopeNode,sPatch,objLslTokens.getIdentifier(),vParams);
                    }
                    break;
                    case 34:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    vPatches = (Vector)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        ForBodyPatch.annotateBodyBegin(objScopeNode,vPatches.get(0).toString());
                        ForBodyPatch.annotateBodyEnd(objScopeNode,vPatches.get(1).toString());
                    }

                    break;
                    case 35:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    vPatches = (Vector)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        DoWhileBodyPatch.annotateBodyBegin(objScopeNode,vPatches.get(0).toString());
                        DoWhileBodyPatch.annotateBodyEnd(objScopeNode,vPatches.get(1).toString());
                    }

                    break;
                    case 36:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    vPatches = (Vector)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        WhileBodyPatch.annotateBodyBegin(objScopeNode,vPatches.get(0).toString());
                        WhileBodyPatch.annotateBodyEnd(objScopeNode,vPatches.get(1).toString());
                    }

                    break;
                    case 37:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);
                    vPatches = (Vector)vpatches.get(iCount);
                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        IfBodyPatch.annotateBodyBegin(objScopeNode,vPatches.get(0).toString());
                        IfBodyPatch.annotateBodyEnd(objScopeNode,vPatches.get(1).toString());
                    }
                    break;
                    case 38:
                    vScopeNodes = objScope.getNodewithScope(objRoot,objLslTokens);

                    vPatches = (Vector)vpatches.get(iCount);
                    vParams=((LSLTokens)vLsLTokens.get(iCount)).getParameters();
                    Vector vVal=((LSLTokens)vLsLTokens.get(iCount)).getMethodReturnValues();
                    int iDatatype=((LSLTokens)vLsLTokens.get(iCount)).getDataType();
                    String sMethodPatchName=((LSLTokens)vLsLTokens.get(iCount)).getPatchMethodName();

                    for(int iIndex = 0;iIndex < vScopeNodes.size();iIndex ++)
                    {
                        Node objScopeNode = (Node)vScopeNodes.get(iIndex);
                        MethodReturnValueBasedPatch.annotateBodyEnd(objScopeNode,vPatches,objLslTokens.getIdentifier(),
                                vParams, objLslTokens.getMethodReturnValues(),iDatatype, sMethodPatchName);
                    }
                    break;

            }
        }
        return objParse;
    }
}
