package business;
import query.Node;
import query.Constants;
import query.Parse;

import java.util.List;
import java.util.ArrayList;

/**
 * Created by Hexagun
 * User: neo
 * Date: Nov 16, 2003
 * Time: 10:14:32 PM
 * To change this template use Options | File Templates.
 */
public class DecoratorHandler
{


    public static Node getClassWithName(Node objroot,String sClassName)
    {
        List lClasses;
        FindAll FA = new FindAll();
        lClasses = FA.findallinclusive(objroot,Constants.CLASSDECLARATION,true);

        for(int iLoop = 0;iLoop < lClasses.size(); iLoop ++)
        {
            Node objUMCD;
            Node objClass = (Node)lClasses.get(iLoop);
            objUMCD = objClass.find(Constants.UNMODIFIEDCLASSDECLARATION,true);
            String sClass = objUMCD.find(Constants.IDENTIFIER).getString();
            System.out.println("Constructor Body SCLASS   "+sClass);
            System.out.println("Constructor Body SCLASSNAME   "+sClassName);
            if(sClass.equalsIgnoreCase(sClassName))
            {
                System.out.println("Class Name Matched");
                return objClass;
            }
        }
        return null;
    }
    public static List getMethodWithName(Node objCompilationUnit,String sMethodName)
    {
        FindAll FA = new FindAll();
        List lNodes = new ArrayList();
        List lMethodDeclarations =FA.findAll(objCompilationUnit,Constants.METHODDECLARATION,true);
        if(lMethodDeclarations.size()==0)
        {
            //System.out.println("Error in list");
            return null;
        }

        for(int iLoop =0;iLoop<lMethodDeclarations.size();iLoop++)
        {
            Node objMethodDecNode=(Node)lMethodDeclarations.get(iLoop);
            Node objchild ;
            objchild = objMethodDecNode.find(Constants.METHODDECLARATOR);
            if(objchild.getFirst().getString().equalsIgnoreCase(sMethodName))
                lNodes.add(objMethodDecNode);
        }
        return lNodes;
    }



    public static List getMethodWithName(Node objCompilationUnit,String sMethodName,int inum_of_params)
    {
        FindAll FA = new FindAll();
        List lMethodDeclrations = FA.findAll(objCompilationUnit,Constants.METHODDECLARATION,true);
        List lNodes = new ArrayList();
        if(lMethodDeclrations.size()==0)
        {
            //System.out.println("Error in list");
            return null;
        }

        for(int iLoop =0;iLoop<lMethodDeclrations.size();iLoop++)
        {
            Node objMethodDecNode=(Node)lMethodDeclrations.get(iLoop);
            Node objchild ;
            objchild = objMethodDecNode.find(Constants.METHODDECLARATOR);
            if(objchild.getFirst().getString().equalsIgnoreCase(sMethodName))
            {
                Node objParam = objchild.find(Constants.FORMALPARAMETERS);
                int inparam = objParam.getNumChildren();
                int iCommaCount = 0;
                for(int iCount = 0;iCount < inparam;iCount ++)
                {
                    if(objParam.getChild(iCount).getType() == Constants.COMMA)
                    {
                        iCommaCount ++;
                    }
                }


                if(iCommaCount +1 == inum_of_params)
                {
                    lNodes.add(objMethodDecNode);
                }
            }
        }
        return lNodes;
    }
}
