package business;
import query.Node;
import query.Parse;
import query.Constants;

import java.util.List;
import java.util.ArrayList;

public class FindAll  implements Constants
{
    private List recnodelist = new ArrayList();
    public List findAll(Node node,int type)
    {
        List nodelist = new ArrayList();
        for(int index = 0;index < node.getNumChildren(); index ++)
        {
            if(type == node.getChild(index).getType())
            {
                nodelist.add(node.getChild(index));
            }
        }
        return nodelist;
    }
    public List findAll(Node node,int type,boolean flag)
    {
        if(flag == false)
            return null;
        else
        {
            for(int index = 0;index < node.getNumChildren();index ++)
            {
                if(type == node.getChild(index).getType())
                {
                    recnodelist.add(node.getChild(index));
                }
                if(node.getChild(index).isNonTerm() == true)
                {
                    findAll(node.getChild(index),type,true);
                }
            }
            return recnodelist;
        }
    }
    public List findallinclusive(Node node,int type,boolean flag)
    {
        recnodelist = new ArrayList();
        if(flag == false)
            return null;
        List LfoundList;
        LfoundList = findAll(node,type,flag);
        System.out.println("FoundListr SIZE -----"+LfoundList.size());
        if(node.getType() == type)
        {
            LfoundList.add(0,node) ;
        }
        return  LfoundList;
    }

    public List findallinclusive(Node node,int type)
    {
        List LfoundList;
        LfoundList = this.findAll(node,type);
        if(node.getType() == type)
        {
            LfoundList.add(0,node);
        }
        return LfoundList;

    }
    public static void main(String[] args)
    {
        FindAll tfall = new FindAll();
        Parse p = new Parse(args[0]);
        TestCommentList tcl = new TestCommentList();
        List l = new ArrayList();
        if(p.getError() != null)
            System.err.println("Error in Parsing");
        else
        {
            Node node = p.getRoot();
            l=tfall.findAll(node,Constants.TYPEDECLARATION);
            if (null == l)
                System.err.println("Error in find all");
            for(int index = 0;index < l.size();index ++ )
            {
                //System.out.println(((Node)(l.get(index))).getType());
            }
            l=tfall.findAll(node,Constants.STATEMENTEXPRESSION,true);
            if (null == l)
                System.err.println("Error in find all");
            for(int index = 0;index < l.size();index ++ )
            {

                tcl.display((Node)(l.get(index)));
            }
        }
    }
}