
package business;
import query.Constants;
import query.Node;
import query.Parse;

import java.io.*;
import java.util.List;

public class TestRecMethod implements Constants
{
    public void fpatchMethod(Node objnode,String strmethod, String strlannotation,String strrannotation)
            //Nodes of CONSTANT METHODDECLARATION will be sent here
    {
        Node objchild ;
        int inum_of_children;
        objchild = objnode.find(Constants.METHODDECLARATOR);
        inum_of_children = objnode.getNumChildren();
        if(strmethod == null)
        {
            objnode.getChild(inum_of_children-1).getFirst().setAnnotation(strlannotation,strrannotation);
        }
        else
        {
            if(objchild.getFirst().getString().equalsIgnoreCase(strmethod))
            {
                objnode.getChild(inum_of_children-1).getLast().setAnnotation(strlannotation,strrannotation);
            }
        }

    }
    public void fprintDecoratedCode(Parse p)
    {
        Node objroot;
        objroot = p.getRoot();
        try
        {
            FileDescriptor o = FileDescriptor.out;
            Writer w = new FileWriter(o);
            w = new BufferedWriter(w);
            objroot.print(p.getCommentList(), w);
            w.close();
        }
        catch (IOException e)
        {
            System.err.println(e);
        }
    }
    public static void main(String[] args)
    {
        TestRecMethod objTRM = new TestRecMethod();
        Parse objparse = new Parse(args[0]);
        Node objroot;
        objroot = objparse.getRoot();
        if(objparse.getError() != null)
        {
            System.err.println("Error in parsing");
        }
        else
        {

            List objlist;
            FindAll FA = new FindAll();
            objlist = FA.findAll(objroot,Constants.METHODDECLARATION,true);
            for(int index = 0;index < objlist.size();index ++)
            {
                objTRM.fpatchMethod((Node)(objlist.get(index)),"method","INSTRUMENT();",null);
            }
        }
        objTRM.fprintDecoratedCode(objparse);
    }
}