package business;
import query.Constants;
import query.Node;
import query.Parse;

import java.util.List;
import java.util.Vector;
import java.io.*;


public class TestRecursion implements Constants
{
    private static long lID=1111;

    public static String generateVariableID()
    {
       // return "__JLISTEN_DECLARATION";
        return "__JLISTEN__"+(++lID);
    }


    public static String getVariableDecl(String sVariableID, String sVariableType, String sAssignment)
       {
           return sVariableType+" "+sVariableID+" = "+sAssignment+" ;\n";
       }



    public static void annotate(Node objNode ,Vector vPatch, String sMethod, Vector vParams)
    {
        FindAll objFA= new FindAll();

        List objList = objFA.findallinclusive(objNode, Constants.METHODDECLARATION, true);

        if(objList.size() > 0)
        {

            for(int i=0;i<objList.size(); i++)
            {
                //     int i=0;
                List objLBrace= objFA.findallinclusive(((Node)objList.get(i)),Constants.BLOCK, true);
                Node objTemp = (Node)objList.get(i);
                /*   List objLBrace= objFA.findallinclusive(objNode,Constants.BLOCK, true);
                Node objTemp = objNode;
                */
                List objResultType= objFA.findallinclusive(objTemp, Constants.RESULTTYPE, true);
                List objMethDecl = objFA.findallinclusive(objTemp, Constants.METHODDECLARATOR, true);
                String sMethodName=((Node)objMethDecl.get(0)).getChild(0).getString();

                if(sMethod.equals(sMethodName))
                {

                    List objFormalParameters=objFA.findallinclusive(((Node)objMethDecl.get(0)), Constants.FORMALPARAMETERS, true);

                    List objParameters=objFA.findallinclusive(((Node)objFormalParameters.get(0)),Constants.FORMALPARAMETER, true);



                    if(objParameters.size() > 0)
                    {
                        Vector vParameters = new Vector();
                        for(int j=0;j<objParameters.size();j++)
                        {
                            String sTypeName = ((Node)objParameters.get(j)).getFirst().getString();
                            vParameters.add(sTypeName);

                        }

                        if((vParams!=null) && (vParameters.size() != vParams.size()))
                            continue;
                        //return;

                        else
                        {
                            if(vParams!=null)
                            {


                                {
                                    int flag=0;
                                    for(int j=0; j< vParameters.size(); j++)
                                    {
                                        if(!vParameters.get(j).toString().equalsIgnoreCase(vParams.get(j).toString()))
                                        {
                                            flag=1;
                                            break;
                                        }
                                    }
                                    if(flag == 1)
                                        continue;
                                    //return;
                                }
                            }
                            ((Node)objLBrace.get(0)).getFirst().setAnnotation(null,vPatch.get(0).toString());

                        }
                    }else
                        {
                       
                             if((vParams==null)||((vParams != null)&&(vParams.size()==1)&&(vParams.get(0).toString().equalsIgnoreCase("void")==true)))
                                {
                                 System.out.println("Entered\n");
                                     ((Node)objLBrace.get(0)).getFirst().setAnnotation(null,vPatch.get(0).toString());
                                }
                        }

                    boolean bIsReturn=false;
                    List objStatements= objFA.findallinclusive(objTemp,Constants.STATEMENT,true);

                    if(objStatements.size() > 0)
                    {

                        for(int iStatLoop=0; iStatLoop <objStatements.size(); iStatLoop++)
                        {
                            Node objReturn = ((Node)objStatements.get(iStatLoop)).getChildType(Constants.RETURNSTATEMENT);
                            if(objReturn!= null)
                            {
                                bIsReturn=true;
                                StringBuffer sbFunctionPatches= new StringBuffer();
                                objReturn.getAllLeaves(objReturn.getChild(1),sbFunctionPatches);
                                String sVariable=generateVariableID();
                                objReturn.getChild(1).clearParseTreeContents(objReturn.getChild(1));
                                objReturn.getChild(1).getFirst().setAnnotation(sVariable);

                                String sDeclaration=getVariableDecl(sVariable,((Node)objResultType.get(0)).getFirst().getString(), sbFunctionPatches.toString());
                                objReturn.getChild(0).setAnnotation("\n{\n"+sDeclaration+"\n"+vPatch.get(1).toString(),null);
                                objReturn.getChild(2).setAnnotation(null,"\n}\n");

                                /*StringBuffer sbFunctionPatches= new StringBuffer();
                                List objPrimaryExp= objFA.findallinclusive(objReturn,Constants.PRIMARYEXPRESSION,true);
                                List objTypeCast=objFA.findallinclusive(objReturn,Constants.CASTEXPRESSION, true);

                                for(int iPrimaryLoop=0; iPrimaryLoop < objPrimaryExp.size() ;iPrimaryLoop++)
                                {
                                StringBuffer sbCast=new StringBuffer();
                                List objArguments=objFA.findallinclusive(((Node)objPrimaryExp.get(iPrimaryLoop)),Constants.ARGUMENTS,true);

                                for(int iCast=0; iCast < objTypeCast.size() ;iCast++ )
                                {
                                if(((Node)objPrimaryExp.get(iPrimaryLoop)).isChild(((Node)objTypeCast.get(iCast)),((Node)objPrimaryExp.get(iPrimaryLoop))))
                                {
                                sbCast.append("(");
                                sbCast.append(((Node)objTypeCast.get(iCast)).getChild(1).getFirst().getString());
                                sbCast.append(")");
                                ((Node)objTypeCast.get(iCast)).getChild(0).setAnnotation("");
                                ((Node)objTypeCast.get(iCast)).getChild(1).getFirst().setAnnotation("");
                                ((Node)objTypeCast.get(iCast)).getChild(2).setAnnotation("");

                                objTypeCast.remove(((Node)objPrimaryExp.get(iCast)));
                                }
                                }
                                if(objArguments.size() > 0)
                                {
                                StringBuffer sbMethodCallName=new StringBuffer();
                                List objName=objFA.findallinclusive(((Node)objPrimaryExp.get(iPrimaryLoop)),Constants.NAME,true);
                                if(objName.size() > 0)
                                {
                                String sVariable=generateVariableID();
                                ((Node)objName.get(0)).getAllLeaves(((Node)objName.get(0)),sbMethodCallName);
                                ((Node)objName.get(0)).changeParseTreeValues(((Node)objName.get(0)),sVariable);
                                ((Node)objArguments.get(0)).getAllLeaves(((Node)objArguments.get(0)),sbMethodCallName);
                                sbFunctionPatches.append(getVariableDecl(sVariable,((Node)objResultType.get(0)).getFirst().getString(),sbCast.toString(), sbMethodCallName.toString()));
                                ((Node)objArguments.get(0)).clearParseTreeContents(((Node)objArguments.get(0)));
                                }

                                }
                                }
                                objReturn.getFirst().setAnnotation("{\n"+sbFunctionPatches.toString()+vPatch.get(1).toString(),null);
                                objReturn.getLast().setAnnotation(null,"\n}");*/
                            }
                        }
                        if(bIsReturn==false)
                        {
                            objTemp.getLast().setAnnotation(vPatch.get(1).toString(),null);
                        }
                    }
                }
            }
        }

    }

    public static void main(String[] args)
    {
    Parse p = new Parse(args[0]);
    if(p.getError() != null)
    System.err.println("Error in Parsing");

    else {
    Node root = p.getRoot();
    Vector v= new Vector();
    Vector vp= new Vector();
    vp.add("void");

    v.add("System.out.println(\"*******PATCHED FUNCTION BEGIN******\");");
    v.add("System.out.println(\"*******PATCHED FUNCTION END******\");");
    //annotate(root,v,"fibonacci");
     annotate(root,v,"youLose",vp);


    try {
    FileDescriptor o = FileDescriptor.out;
    Writer w = new FileWriter(o);
    w = new BufferedWriter(w);
    root.print(p.getCommentList(), w);
    w.close();
    }
    catch (IOException e) {
    System.err.println(e);
    }

    }
    }


}