package view;

import business.AuralizerManager;
import business.LSLTokens;

import javax.swing.*;
import javax.swing.event.ListSelectionListener;
import javax.swing.event.ListSelectionEvent;
import java.awt.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.util.Hashtable;
import java.util.Vector;
import java.io.File;

public class AuraliserUI extends JFrame implements ActionListener{


  private static AuraliserUI auraliserUI1;
  JTabbedPane jtpAuraliser = new JTabbedPane();
  JPanel jpLSLEditor = new JPanel();
  JPanel jpNetworkInfo = new JPanel();
  JPanel jpLSLLabel = new JPanel();
  BorderLayout blLSLEditor = new BorderLayout();
  JPanel jpLSLStaus = new JPanel();
  JPanel jpMainEditor = new JPanel();
  JPanel jpEvents = new JPanel();
  JPanel jInstrumentor = new JPanel();
  JPanel jpInstructions = new JPanel();
  BorderLayout blInstructions = new BorderLayout();
  BorderLayout blEvents = new BorderLayout();
  JLabel jlblEventLabel = new JLabel();
  JLabel jlblInstrumentor = new JLabel();
  JScrollPane jspEventActivity = new JScrollPane();

  private String sJavaProgramPath="c:/";
  private static String sJavaProgramName = "test";

  private static DefaultListModel dlmEventActivity = new DefaultListModel();
  private static JList jlEventActivity = new JList(dlmEventActivity);

  JLabel jlProgramName = new JLabel();
  JTextField jtfProgramName = new JTextField();
  private JButton jbOpenProgram = new JButton();
  private  JButton jbDecorate = new JButton();
  private JButton jbRegisterProgram = new JButton();
  JLabel jlblLSLInstructions = new JLabel();
  JScrollPane jspInstructions = new JScrollPane();

  private static DefaultListModel dlmLSLInstructions = new DefaultListModel();
  private static JList jlLSLInstructions = new JList(dlmLSLInstructions);
  JLabel jbLSLEditor = new JLabel();

  private static AuralizerManager objAM = new AuralizerManager();

  LSLParameters objLSLP = new LSLParameters();

  private static Hashtable htLSLTokens = new Hashtable();
  private static Vector vCurrentLSLTokens = new Vector();

  JPanel jpNetworkInfoStatus = new JPanel();
  BorderLayout blNetworkInfoStatus = new BorderLayout();
  JLabel jbLSLEditor1 = new JLabel();
  JPanel jpNetworkInfoLabel = new JPanel();
  JPanel jpConfServerInfo = new JPanel();
  JPanel jpConfServerDetails = new JPanel();
  JLabel jlblConfServerPortNo = new JLabel();
  JLabel jlblConfServerIPAddress = new JLabel();
  JTextField jtfConfServerPortNo = new JTextField();
  JTextField jtfConfServerIPAddress = new JTextField();
  JButton jbUpdate = new JButton();

  public AuraliserUI() {
    try {
      jbInit();
      String sNetworkInfo[] = objAM.getNetworkInfo();
        if(sNetworkInfo != null)
        {
            jtfConfServerIPAddress.setText(sNetworkInfo[0]);
            jtfConfServerPortNo.setText(sNetworkInfo[1]);
        }
        else
        {
            System.out.println("No data found for NETWORK INFO");
        }
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  public static void main(String[] args) {

      
      /*SplashScreen objScreen = new SplashScreen();

      //objScreen.setSize(350,300);
      objScreen.setBounds((int) (350), (int) (300), (int) (300), (int) (230));
      objScreen.setVisible(true);
      objScreen.show();
      objScreen.validate();

      //objScreen.showScreen();
      try
      {
         Thread.currentThread().sleep(5000);
         System.out.println("After 2 secs..");
      }
      catch(Exception e)
      {
       e.printStackTrace();
      }
      //objScreen.hideScreen();
      objScreen.setVisible(false);*/

    auraliserUI1 = new AuraliserUI();
    auraliserUI1.setBounds(100,100,675,575);
    auraliserUI1.setResizable(false);
    auraliserUI1.setVisible(true);
    auraliserUI1.show();

//    auraliserUI1.setResizable
  }
  private void jbInit() throws Exception {
    this.setTitle("Auraliser");
    setIconImage(new ImageIcon("jlisten.jpg").getImage());

/*
      SplashScreen objScreen = new SplashScreen();

      objScreen.setVisible(true);
      objScreen.show();
      objScreen.validate();

      //objScreen.showScreen();
      try
      {
         Thread.sleep(2000);
      }
      catch(Exception e)
      {
       e.printStackTrace();
      }
      //objScreen.hideScreen();
      objScreen.setVisible(false);
*/

    jtpAuraliser.setToolTipText("Auraliser");
    jpLSLEditor.setBorder(BorderFactory.createEtchedBorder());
    jpLSLEditor.setToolTipText("LSLEditor");
    jpLSLEditor.setLayout(blLSLEditor);
    jpNetworkInfo.setBorder(BorderFactory.createEtchedBorder());
    jpNetworkInfo.setToolTipText("Network Information");
    jpNetworkInfo.setLayout(blNetworkInfoStatus);
    jpLSLLabel.setBorder(BorderFactory.createEtchedBorder());
    jpLSLLabel.setPreferredSize(new Dimension(600, 40));
    jpLSLStaus.setBorder(BorderFactory.createEtchedBorder());
    jpLSLStaus.setPreferredSize(new Dimension(600, 30));
    jpMainEditor.setLayout(null);
    jpMainEditor.setBorder(BorderFactory.createEtchedBorder());
    jpEvents.setBorder(BorderFactory.createEtchedBorder());
    jpEvents.setBounds(new Rectangle(16, 19, 289, 202));
    jpEvents.setLayout(blEvents);
    jInstrumentor.setBorder(BorderFactory.createEtchedBorder());
    jInstrumentor.setBounds(new Rectangle(352, 18, 280, 202));
    jInstrumentor.setLayout(null);
    jpInstructions.setBorder(BorderFactory.createEtchedBorder());
    jpInstructions.setToolTipText("Listen Specification Language");
    jpInstructions.setBounds(new Rectangle(14, 225, 618, 209));
    jpInstructions.setLayout(blInstructions);
    jlblEventLabel.setBorder(null);
    jlblEventLabel.setHorizontalAlignment(SwingConstants.CENTER);
    jlblEventLabel.setText("Event-Activity List");
    jlblInstrumentor.setText("Instrumentor");
    jlblInstrumentor.setBounds(new Rectangle(0, 1, 285, 23));
    jlblInstrumentor.setBorder(null);
    jlblInstrumentor.setHorizontalAlignment(SwingConstants.CENTER);
    jlProgramName.setText("Java Program");
    jlProgramName.setBounds(new Rectangle(3, 52, 98, 25));
    jtfProgramName.setEnabled(false);
    jtfProgramName.setBorder(BorderFactory.createLineBorder(Color.black));
    jtfProgramName.setEditable(true);
    jtfProgramName.setText("");
    jtfProgramName.setBounds(new Rectangle(91, 52, 123, 25));
    jbOpenProgram.setBounds(new Rectangle(225, 52, 42, 24));
    jbOpenProgram.setText("..");
    jbDecorate.setBounds(new Rectangle(106, 102, 88, 24));
    jbDecorate.setToolTipText("Decorate Java Program");
    jbDecorate.setMnemonic('D');
    jbDecorate.setText("Decorate");
    jbRegisterProgram.setText("Register");
    jbRegisterProgram.setToolTipText("Register Program");
    jbRegisterProgram.setBounds(new Rectangle(107, 154, 88, 24));
    jbRegisterProgram.setMinimumSize(new Dimension(86, 26));
    jbRegisterProgram.setMnemonic('R');
    jlblLSLInstructions.setPreferredSize(new Dimension(41, 25));
    jlblLSLInstructions.setHorizontalAlignment(SwingConstants.CENTER);
    jlblLSLInstructions.setText("Listen Specifiction Language - Java");
    jlLSLInstructions.setToolTipText("Instructions");
    jlEventActivity.setBorder(BorderFactory.createEtchedBorder());
    jbLSLEditor.setFont(new java.awt.Font("Serif", 1, 18));
    jbLSLEditor.setToolTipText("");
    jbLSLEditor.setText("LSL EDITOR");
    jpNetworkInfoStatus.setPreferredSize(new Dimension(600, 30));
    jpNetworkInfoStatus.setBorder(BorderFactory.createEtchedBorder());
    jbLSLEditor1.setText("Configuration Server  Information");
    jbLSLEditor1.setToolTipText("");
    jbLSLEditor1.setFont(new java.awt.Font("Serif", 1, 18));
    jpNetworkInfoLabel.setPreferredSize(new Dimension(600, 40));
    jpNetworkInfoLabel.setBorder(BorderFactory.createEtchedBorder());
    jpConfServerInfo.setBorder(BorderFactory.createEtchedBorder());
    jpConfServerInfo.setLayout(null);
    jpConfServerDetails.setBorder(BorderFactory.createLineBorder(Color.black));
    jpConfServerDetails.setBounds(new Rectangle(92, 89, 462, 211));
    jpConfServerDetails.setLayout(null);
    jlblConfServerPortNo.setBounds(new Rectangle(36, 93, 199, 32));
    jlblConfServerPortNo.setText("Configuration Server Port No");
    jlblConfServerIPAddress.setText("Configuration Server IP Address");
    jlblConfServerIPAddress.setBounds(new Rectangle(36, 33, 195, 32));
    jtfConfServerPortNo.setBounds(new Rectangle(268, 97, 161, 28));
    jtfConfServerPortNo.setText("jTextField1");
    jtfConfServerPortNo.setText("");
    jtfConfServerIPAddress.setText("");
    jtfConfServerIPAddress.setBounds(new Rectangle(268, 37, 161, 28));
    jbUpdate.setBounds(new Rectangle(167, 163, 123, 30));
    jbUpdate.setToolTipText("Update Network Information");
    jbUpdate.setMnemonic('U');
    jbUpdate.setText("Update");
    this.getContentPane().add(jtpAuraliser, BorderLayout.CENTER);
    jtpAuraliser.add(jpLSLEditor,  "LSLEditor");
    jtpAuraliser.add(jpNetworkInfo,   "NetworkInfo");
    jpNetworkInfo.add(jpNetworkInfoStatus,  BorderLayout.SOUTH);
    jpLSLEditor.add(jpLSLLabel, BorderLayout.NORTH);
    jpLSLLabel.add(jbLSLEditor, null);
    jpLSLEditor.add(jpLSLStaus,  BorderLayout.SOUTH);
    jpLSLEditor.add(jpMainEditor,  BorderLayout.CENTER);
    jpMainEditor.add(jpEvents, null);
    jpMainEditor.add(jInstrumentor, null);
    jpMainEditor.add(jpInstructions, null);
    jpEvents.add(jlblEventLabel, BorderLayout.NORTH);
    jInstrumentor.add(jlblInstrumentor, null);
    jpEvents.add(jspEventActivity, BorderLayout.CENTER);
    jspEventActivity.getViewport().add(jlEventActivity, null);
    jInstrumentor.add(jbRegisterProgram, null);
    jInstrumentor.add(jbDecorate, null);
    jInstrumentor.add(jtfProgramName, null);
    jInstrumentor.add(jlProgramName, null);
    jInstrumentor.add(jbOpenProgram, null);
    jpInstructions.add(jspInstructions, BorderLayout.CENTER);
    jpInstructions.add(jlblLSLInstructions, BorderLayout.NORTH);
    jspInstructions.getViewport().add(jlLSLInstructions, null);

    jbOpenProgram.addActionListener(this);
    jbOpenProgram.setActionCommand("OpenProgram");

    jbDecorate.addActionListener(this);
    jbDecorate.setActionCommand("Decorate");

    jbRegisterProgram.addActionListener(this);
    jbRegisterProgram.setActionCommand("RegisterProgram");

    jbUpdate.addActionListener(this);
    jbUpdate.setActionCommand("Update");



    jlEventActivity.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);

    jlEventActivity.addListSelectionListener(new ListSelectionListener()
    {
        public void valueChanged(ListSelectionEvent lse)
        {
            if( jlEventActivity.getSelectedValue()!=null)
            {
            String sEventActivity = (String)jlEventActivity.getSelectedValue();
            addEventSoundMapping(sEventActivity);
            }

        }
    });

    initialiseEventActivitiesList();
    initialiseInstrumentNames();

    initialisePanels();
    jpNetworkInfo.add(jpNetworkInfoLabel,  BorderLayout.NORTH);
    jpNetworkInfoLabel.add(jbLSLEditor1, null);
    jpNetworkInfo.add(jpConfServerInfo, BorderLayout.CENTER);
    jpConfServerInfo.add(jpConfServerDetails, null);
    jpConfServerDetails.add(jbUpdate, null);
    jpConfServerDetails.add(jlblConfServerPortNo, null);
    jpConfServerDetails.add(jtfConfServerPortNo, null);
    jpConfServerDetails.add(jtfConfServerIPAddress, null);
    jpConfServerDetails.add(jlblConfServerIPAddress, null);

  }

    public void clearInstructionsList()
    {
        dlmLSLInstructions.removeAllElements();
    }


    public void actionPerformed(ActionEvent ae)
    {
        if(ae.getActionCommand().equalsIgnoreCase("OpenProgram")==true)
        {
            JFileChooser jfcOpenProgram = new JFileChooser();
            jfcOpenProgram.setFileFilter(new JavaFileFilter());
            int iStatus = jfcOpenProgram.showOpenDialog(null);

            if(iStatus == JFileChooser.APPROVE_OPTION)
            {
                File fJavaProgram = jfcOpenProgram.getSelectedFile();

                sJavaProgramPath = fJavaProgram.getAbsolutePath();
                jtfProgramName.setText(sJavaProgramPath);
                //System.out.println("Java Program Path : " + sJavaProgramPath);
                /*

                */
                int iIndex = sJavaProgramPath.lastIndexOf("\\");

                int iDotJavaIndex = sJavaProgramPath.lastIndexOf(".java");

                sJavaProgramName = sJavaProgramPath.substring(iIndex+1,iDotJavaIndex);
                //System.out.println("Java program name : " + sJavaProgramName);

                enableEventActivityList();
                setLSLInfo(sJavaProgramName);
                disableFileDialog();
            }
        }

        if(ae.getActionCommand().equalsIgnoreCase("Decorate")==true)
        {
            objAM.decorate(sJavaProgramName, sJavaProgramPath, vCurrentLSLTokens);

            //STORE LSL FILE
            //objAM.storeLSL
            String sLSLStatments[]=new String[dlmLSLInstructions.getSize()];

            for(int iLoop=0; iLoop < dlmLSLInstructions.getSize(); iLoop++)
            {
                sLSLStatments[iLoop]=(String)dlmLSLInstructions.getElementAt(iLoop);
            }

            objAM.storeLSLFile(sLSLStatments, sJavaProgramName);


            disableDecorate();
            disableEventActivityList();
            enableRegisterProgram();
        }

        if(ae.getActionCommand().equalsIgnoreCase("RegisterProgram")==true)
        {
            if(jtfConfServerIPAddress.getText().length()<=0 || jtfConfServerPortNo.getText().length()<=0)
            {
                JOptionPane.showMessageDialog(null,"Specify Configuration Server IP Address, Port No", "Error", JOptionPane.ERROR_MESSAGE);
                jtpAuraliser.setSelectedIndex(1);
                return;
            }
            else
            {

                objAM.generateEventSoundMappings(sJavaProgramName,vCurrentLSLTokens);
                Hashtable htEventSoundMappings = objAM.getEventSoundMappings(sJavaProgramName);
                objAM.registerAuralizedProgram(sJavaProgramName, htEventSoundMappings);

                clearInstructionsList();
                disableRegisterProgram();
                enableFileDialog();
            }
        }

        if(ae.getActionCommand().equalsIgnoreCase("Update")==true)
        {
            if(jtfConfServerIPAddress.getText().length()<=0 || jtfConfServerPortNo.getText().length()<=0)
            {


                JOptionPane.showMessageDialog(null,"Specify Configuration Server IP Address, Port No", "Error", JOptionPane.ERROR_MESSAGE);
            }
            else
            {

                try
                {
                    Integer objPortNo = new Integer(jtfConfServerPortNo.getText());
                    if(objPortNo.intValue()<1024)
                    {
                        JOptionPane.showMessageDialog(null,"Specify Configuration Server Port No", "Error", JOptionPane.ERROR_MESSAGE);
                    }
                }
                catch(NumberFormatException nfe)
                {
                    JOptionPane.showMessageDialog(null,"Specify Configuration Server Port No", "Error", JOptionPane.ERROR_MESSAGE);
                }

                objAM.setNetworkInfo(jtfConfServerIPAddress.getText(), jtfConfServerPortNo.getText());
                JOptionPane.showMessageDialog(null,"Configuration Server IP Address, Port No Successfully Updated !", "Updated", JOptionPane.INFORMATION_MESSAGE);
            }
        }
    }

    private  void initialisePanels()
    {

        disableEventActivityList();
        disableRegisterProgram();
        disableDecorate();
    }


    private  void enableFileDialog()
    {
        jbOpenProgram.setEnabled(true);

    }

    public static AuraliserUI getAuralizerUIReference()
    {
        return auraliserUI1;
    }
    private void disableFileDialog()
    {
        jbOpenProgram.setEnabled(false);
    }

    private  void enableDecorate()
    {
        jbDecorate.setEnabled(true);
    }

    private void disableDecorate()
    {
        jbDecorate.setEnabled(false);
    }

    private void disableEventActivityList()
    {
        jlEventActivity.setEnabled(false);
    }

    private void enableEventActivityList()
    {
        jlEventActivity.setEnabled(true);
    }

    private  void enableRegisterProgram()
    {
        jbRegisterProgram.setEnabled(true);
    }

    private void disableRegisterProgram()
    {
        jbRegisterProgram.setEnabled(false);
    }

    public  void clearEventActivitySelection()
    {
        jlEventActivity.clearSelection();
    }

  public void addEventSoundMapping(String sEventActivity)
  {

    objLSLP.setClassLabel();
    objLSLP.setMethodParameterLabel();
    objLSLP.enableAllFields();
      objLSLP.disableValueFields();
      objLSLP.disableAddButton();

    if(sEventActivity.equalsIgnoreCase("for_body_begin")||sEventActivity.equalsIgnoreCase("after_for_loop")
            ||sEventActivity.equalsIgnoreCase("after_do_while_loop")||
            sEventActivity.equalsIgnoreCase("after_while_loop")||sEventActivity.equalsIgnoreCase("after_if_statement")
            ||sEventActivity.equalsIgnoreCase("before_for_loop")||sEventActivity.equalsIgnoreCase("before_do_while_loop")
             ||sEventActivity.equalsIgnoreCase("before_while_loop")||sEventActivity.equalsIgnoreCase("before_if_statement"))
    {
        objLSLP.disableClass();
        objLSLP.disableMethod();
    }
    else if(sEventActivity.equalsIgnoreCase("method_return_value"))
    {
        objLSLP.disableOKButton();
        objLSLP.enableAddButton();
        objLSLP.changeCancelButtonName("FINISH");
        objLSLP.disableScopeMethod();
        objLSLP.changeClassLabel("Patch Return Value");
       // objLSLP.disableClass();
        objLSLP.enableValueFields();
    }
    else if(sEventActivity.equalsIgnoreCase("for_body_end"))
    {
        objLSLP.disableClass();
        objLSLP.disableMethod();
    }
    else if(sEventActivity.equalsIgnoreCase("while_body_begin"))
    {
        objLSLP.disableClass();
        objLSLP.disableMethod();
    }
    else if(sEventActivity.equalsIgnoreCase("while_body_end"))
    {
        objLSLP.disableClass();
        objLSLP.disableMethod();
    }
    else if(sEventActivity.equalsIgnoreCase("if_body_begin")||
            sEventActivity.equalsIgnoreCase("atrack_for")||
            sEventActivity.equalsIgnoreCase("atrack_while")||
            sEventActivity.equalsIgnoreCase("atrack_do_while")||
            sEventActivity.equalsIgnoreCase("atrack_if"))
    {
        objLSLP.disableClass();
        objLSLP.disableMethod();
    }
    else if(sEventActivity.equalsIgnoreCase("if_body_end"))
    {
        objLSLP.disableClass();
        objLSLP.disableMethod();
    }
    else if(sEventActivity.equalsIgnoreCase("do_while_body_begin"))
    {
        objLSLP.disableClass();
        objLSLP.disableMethod();
    }
    else if(sEventActivity.equalsIgnoreCase("do_while_body_end"))
    {
        objLSLP.disableClass();
        objLSLP.disableMethod();
    }
    else if(sEventActivity.equalsIgnoreCase("continue"))
    {
        objLSLP.disableClass();
        objLSLP.disableMethod();
    }
    else if(sEventActivity.equalsIgnoreCase("break"))
    {
        objLSLP.disableClass();
        objLSLP.disableMethod();
    }
    else if(sEventActivity.equalsIgnoreCase("method_body_begin")||sEventActivity.equalsIgnoreCase("recursion_method_body_begin"))
    {
        objLSLP.disableScopeMethod();
        objLSLP.disableClass();
    }
    else if(sEventActivity.equalsIgnoreCase("method_body_end")||sEventActivity.equalsIgnoreCase("recursion_method_body_end"))
    {
        objLSLP.disableScopeMethod();
        objLSLP.disableClass();
    }
    else if(sEventActivity.equalsIgnoreCase("method_call_begin")||sEventActivity.equalsIgnoreCase("method_body_begin")||sEventActivity.equalsIgnoreCase("recursion_method_body_begin"))
    {
        objLSLP.disableClass();
    }
    else if(sEventActivity.equalsIgnoreCase("method_call_end")||sEventActivity.equalsIgnoreCase("method_body_end")||sEventActivity.equalsIgnoreCase("recursion_method_body_end"))
    {
        objLSLP.disableClass();
    }
    else if(sEventActivity.equalsIgnoreCase("constructor"))
    {
        objLSLP.disableScopeClass();
        objLSLP.disableScopeMethod();
        objLSLP.disableMethod();
    }
    else if(sEventActivity.equalsIgnoreCase("dtrack"))
    {

        objLSLP.disableMethod();
        objLSLP.changeClassLabel("Identifier");
    }
    else if(sEventActivity.equalsIgnoreCase("atrack_method")||sEventActivity.equalsIgnoreCase("atrack_recursion_method"))
    {
        objLSLP.disableScopeMethod();
        objLSLP.disableClass();
    }
    else if(sEventActivity.equalsIgnoreCase("atrack_class"))
    {
        objLSLP.disableScopeMethod();
        objLSLP.disableScopeClass();
        objLSLP.disableMethod();
    }
    else if(sEventActivity.equalsIgnoreCase("finalize"))
    {
        objLSLP.disableScopeClass();
        objLSLP.disableScopeMethod();
        objLSLP.disableMethod();
    }
    else if(sEventActivity.equalsIgnoreCase("finally"))
    {
        objLSLP.disableScopeMethod();
        objLSLP.disableClass();
    }
    else if(sEventActivity.equalsIgnoreCase("super"))
    {
        objLSLP.disableScopeMethod();
        objLSLP.disableMethod();
        objLSLP.disableScopeClass();
    }
    else if(sEventActivity.equalsIgnoreCase("switch_case_begin"))
    {
       objLSLP.changeMethodParameterLabel("Case Value");
       objLSLP.disableClass();
       objLSLP.disableOnlyMethod();
    }
    objLSLP.setVisible(true);
 }

  private void initialiseEventActivitiesList()
  {
      String[] sEvents  = objAM.getEvents();

      for(int iLoop=0; iLoop<sEvents.length; iLoop++)
      {
        dlmEventActivity.addElement(sEvents[iLoop]);
      }
  }

  private void initialiseInstrumentNames()
  {
    objLSLP.initialiseInstrumentNames(objAM.getInstrumentNames());
  }


    private void setLSLInfo(String sJavaFile)
    {
        vCurrentLSLTokens=new Vector();
        htLSLTokens.put(sJavaFile, vCurrentLSLTokens);

    }

  public void generateLSL(String sPackage, String sClass, String sMethod, Vector vMethodParameters,String sKeyword,
                          String sIdentifier, boolean bActivity, String sInstrument, Vector vParameters, int iNote)
  {

      LSLTokens objlsl= objAM.createLSLToken(sPackage, sClass, sMethod, vMethodParameters, sKeyword, sIdentifier,
              bActivity, sInstrument, vParameters, iNote);

      objlsl.setKeyword((String)jlEventActivity.getSelectedValue());

      if(objlsl.getKeyword().startsWith("atrack") == true)
      {
            objlsl.setActivity(true);
          //  objlsl.setIdentifier(sIdentifier);
      }
      else
      {
           objlsl.setActivity(false);
      }

         vCurrentLSLTokens.add(objlsl);
        String sLSLStatement=objAM.createLSLStatement(objlsl);

        if(dlmLSLInstructions.size()==0)
        {
            String sLSLTemplate[] = objAM.getLSLBodyTemplate(sJavaProgramName);
            /*dlmLSLInstructions.addElement(sLSLTemplate[0]);
            dlmLSLInstructions.addElement(sLSLTemplate[1]);
            dlmLSLInstructions.addElement(sLSLTemplate[2]);
            dlmLSLInstructions.addElement(sLSLTemplate[3]);

            dlmLSLInstructions.insertElementAt(sLSLStatement,dlmLSLInstructions.getSize()-1);
*/
            enableDecorate();
        }
        else
        {
            //dlmLSLInstructions.insertElementAt(sLSLStatement,dlmLSLInstructions.getSize()-1);
        }
     }

    public void generateLSL(String sPackage, String sClass, String sMethod, Vector vMethodParameters,String sKeyword,Vector vValues,
                            boolean bActivity, Vector vInstrument, Vector vParameters, Vector vNote, int iDatatype,
                            String sPatchMethodName, String sIdentifier)
    {

        LSLTokens objlsl= objAM.createLSLToken(sPackage, sClass, sMethod, vMethodParameters,
                sKeyword,sIdentifier,vValues,  bActivity,
                vInstrument, vParameters, vNote,iDatatype,sPatchMethodName);

        objlsl.setKeyword((String)jlEventActivity.getSelectedValue());

        if(objlsl.getKeyword().startsWith("atrack") == true)
        {
              objlsl.setActivity(true);
            //  objlsl.setIdentifier(sIdentifier);
        }
        else
        {
             objlsl.setActivity(false);
        }

           vCurrentLSLTokens.add(objlsl);
          String sLSLStatement=objAM.createLSLStatement(objlsl);

          if(dlmLSLInstructions.size()==0)
          {
              String sLSLTemplate[] = objAM.getLSLBodyTemplate(sJavaProgramName);
              /*dlmLSLInstructions.addElement(sLSLTemplate[0]);
              dlmLSLInstructions.addElement(sLSLTemplate[1]);
              dlmLSLInstructions.addElement(sLSLTemplate[2]);
              dlmLSLInstructions.addElement(sLSLTemplate[3]);

              dlmLSLInstructions.insertElementAt(sLSLStatement,dlmLSLInstructions.getSize()-1);*/

              enableDecorate();
          }
          else
          {
              //dlmLSLInstructions.insertElementAt(sLSLStatement,dlmLSLInstructions.getSize()-1);
          }
       }

}
